Skip to main content
POST
/
api
/
v1
/
commission-lines
/
{id}
/
decline
Decline a commission line
curl --request POST \
  --url https://api.introw.io/api/v1/commission-lines/{id}/decline \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "reasonType": "DUPLICATE"
}
'
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reasonType: 'DUPLICATE'})
};

fetch('https://api.introw.io/api/v1/commission-lines/{id}/decline', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.introw.io/api/v1/commission-lines/{id}/decline"

payload = { "reasonType": "DUPLICATE" }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "data": {
    "id": "cln_5o4n3m2l1k0j9i8h7g6f5e4d",
    "partnerId": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
    "payoutId": "pay_2x7n4q8z0w1a2b3c4d5e6f7g",
    "description": "Q1 referral bonus",
    "amount": "500.00",
    "sourceAmount": "10000.00",
    "currency": "USD",
    "status": "VOIDED",
    "planName": "Referral plan",
    "periodEnd": "2026-03-31T23:59:59.000Z",
    "createdAt": "2026-04-05T09:00:00.000Z",
    "updatedAt": "2026-04-05T09:00:00.000Z"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": "<unknown>"
  }
}

Authorizations

x-api-key
string
header
required

Introw API key shown once when the credential is created.

Path Parameters

id
string
required

Commission line identifier.

Minimum string length: 1

Body

application/json
reasonType
enum<string>
required

Categorised reason for declining the line.

Available options:
CUSTOM,
DUPLICATE,
INELIGIBLE,
ALREADY_PAID,
DISPUTED,
OUTSIDE_POLICY
reason
string

Free-text reason. Required when reasonType is CUSTOM.

Maximum string length: 2000

Response

Commission line declined successfully.

data
object
required